Page MenuHomePhabricator

Vertical alignment of text in the search-and-replace field is off in VisualEditor
Closed, ResolvedPublic1 Estimated Story Points

Description

See screenshot:

Event Timeline

Jdforrester-WMF raised the priority of this task from to Needs Triage.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF changed Security from none to None.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Jdforrester-WMF triaged this task as High priority.Dec 9 2014, 8:33 PM

We'd need to upstream this functionality into OOUI, as the input widget padding varies from skin to skin.

Change 179339 had a related patch set uploaded (by Bartosz Dziewoński):
TextInputWidget: Set vertical-align: middle, like buttons

https://gerrit.wikimedia.org/r/179339

Patch-For-Review

I am not sure if the patch fixes the issue here, because I've somehow broken all the styles for the search-and-replace "pulldown" locally. Let's retest this after pulling all recent fixes through.

Above patch doesn't seem to fix the issue at hand:

Not fixed. I'm going to declare this not a blocker to switching.

Change 179339 merged by jenkins-bot:
TextInputWidget: Set vertical-align: middle, like buttons

https://gerrit.wikimedia.org/r/179339

matmarex renamed this task from Vertical alignment of text in the search-and-replace field is off in VisualEditor when using the OOjs UI MediaWiki theme to Vertical alignment of text in the search-and-replace field is off in VisualEditor.Dec 12 2014, 8:35 PM
matmarex removed a project: Patch-For-Review.

This also affects the Apex theme.

matmarex moved this task from Backlog to Next-up on the OOUI board.Dec 14 2014, 7:18 PM

Change 179545 merged by jenkins-bot:
ButtonGroupWidget: Remove weird margin-bottom: -1px; from theme styles

https://gerrit.wikimedia.org/r/179545

matmarex moved this task from Next-up to Doing on the OOUI board.Dec 16 2014, 10:05 PM
Jdforrester-WMF edited a custom field.Feb 2 2015, 7:52 PM
Jdforrester-WMF moved this task from Doing to Reviewing on the OOUI board.Mar 26 2015, 8:59 PM